Follow

Compatible Android Tablet Versions

If you're purchasing a tablet from a 3rd party (or you already have one), there are some basic hardware requirements to be aware of in order to use the Orders2me order management app for tablets. They are as follows:

  • A minimum of Android v4.1.1 (Jelly Bean)
  • WiFi-enabled and an active connection to the internet
  • The Google Play store app (some Android tablets do not have this; if it's not already installed, you'll want to ensure that it can be)
  • Internal or external speaker
  • Bluetooth-enabled (if printing notifications to a Bluetooth printer)

 

If you're not sure which tablet to choose, our current recommendation is the Galaxy Tab A from Samsung which can be purchased from Amazon.com.

Was this article helpful?
0 out of 0 found this helpful
Have more questions? Submit a request

0 Comments

Please sign in to leave a comment.